
Quantification tool - Bug #913

Bug # 912 (Closed): Displaying treatment regimens with the same name and different composition

Treatment regimens with the same name and same composition

09/17/2013 06:27 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 09/17/2013

Priority: Normal Due date: 09/23/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 2.0 Spent time: 0.00 hour

Description

System allows register two (or more) treatment regimens with the same name and composition (medicines, units/day, duration,

days/week). It doesn't affect the calculations, but system should make validation and display a warning message at least for the

name.

History

#1 - 09/18/2013 09:59 AM - Oleksii Kurasov

- Due date set to 09/18/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 09/20/2013 04:55 PM - Luis Gustavo do Valle Bastos

- Subject changed from Treatment regimens with the same name and same composition. to Treatment regimens with the same name and same

composition

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

For Single Drugs:

Validation checking for same name and different medicine, or same name, same medicine but different information for units/day, duration and

days/week don't work and related warning message has not been displayed.

But, it is working properly for same name, same medicine and same information for units/day, duration and days/week  (displaying error message).

Also working properly for different name, same medicine and same information for units/day, duration and days/week (displaying warning message).

#3 - 09/23/2013 06:32 AM - Oleksii Kurasov

- Due date changed from 09/18/2013 to 09/23/2013

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Gustavo, please provide me an example.

#4 - 09/25/2013 12:51 PM - Luis Gustavo do Valle Bastos

- Status changed from Feedback to Closed

No problem at all. Tested and adequate.
